clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::SignatureHelp Struct Reference

Represents the signature of a callable. More...

`#include <Protocol.h>`

Collaboration diagram for clang::clangd::SignatureHelp:
[legend]

## Public Attributes
std::vector< SignatureInformation > | signatures
| The resulting signatures. More...
int | activeSignature = 0
| The active signature. More...
int | activeParameter = 0
| The active parameter of the active signature. More...
Position | argListStart
| Position of the start of the argument list, including opening paren. More...

## Detailed Description

Represents the signature of a callable.

Definition at line 939 of file Protocol.h.

## Member Data Documentation

## ◆ activeParameter

int clang::clangd::SignatureHelp::activeParameter = 0

The active parameter of the active signature.

Definition at line 948 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ activeSignature

int clang::clangd::SignatureHelp::activeSignature = 0

The active signature.

Definition at line 945 of file Protocol.h.

Referenced by clang::clangd::toJSON().

## ◆ argListStart

Position clang::clangd::SignatureHelp::argListStart

Position of the start of the argument list, including opening paren.

e.g. foo("first arg", "second arg", ^-argListStart ^-cursor This is a clangd-specific extension, it is only available via C++ API and not currently serialized for the LSP.

Definition at line 955 of file Protocol.h.

## ◆ signatures

std::vector<SignatureInformation> clang::clangd::SignatureHelp::signatures

The resulting signatures.

Definition at line 942 of file Protocol.h.

Referenced by clang::clangd::toJSON().

The documentation for this struct was generated from the following file:

- Protocol.h